> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# IFSC Verification

> Verify the IFSC code and receive details of the associated bank branch.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/jul3oxp/ifsc-verification" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json GET /bank/{ifsc}
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /bank/{ifsc}:
    get:
      tags:
        - kyc
        - bank
      summary: IFSC Verification
      description: You can identify a bank branch details from given IFSC code
      operationId: verifyIFSC
      parameters:
        - name: ifsc
          in: path
          description: 11-digit alpha-numeric code used to identify the bank branches
          required: true
          example: HDFC0001234
          schema:
            type: string
            pattern: ^[A-Za-z]{4}[a-zA-Z0-9]{7}$
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  MICR:
                    type: string
                  BRANCH:
                    type: string
                  ADDRESS:
                    type: string
                  STATE:
                    type: string
                  CONTACT:
                    type: string
                  UPI:
                    type: boolean
                  RTGS:
                    type: boolean
                  CITY:
                    type: string
                  CENTRE:
                    type: string
                  DISTRICT:
                    type: string
                  NEFT:
                    type: boolean
                  IMPS:
                    type: boolean
                  SWIFT:
                    type: string
                  ISO3166:
                    type: string
                  BANK:
                    type: string
                  BANKCODE:
                    type: string
                  IFSC:
                    type: string
                required:
                  - MICR
                  - BRANCH
                  - ADDRESS
                  - STATE
                  - CONTACT
                  - UPI
                  - RTGS
                  - CITY
                  - CENTRE
                  - DISTRICT
                  - NEFT
                  - IMPS
                  - SWIFT
                  - ISO3166
                  - BANK
                  - BANKCODE
                  - IFSC
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    MICR: '302240007'
                    BRANCH: PARK STREET
                    ADDRESS: 3 PARK STREET M I ROAD M I ROAD
                    STATE: RAJASTHAN
                    CONTACT: '+919875003333'
                    UPI: true
                    RTGS: true
                    CITY: JAIPUR
                    CENTRE: JAIPUR
                    DISTRICT: JAIPUR
                    NEFT: true
                    IMPS: true
                    SWIFT: HDFCINBB
                    ISO3166: IN-RJ
                    BANK: HDFC Bank
                    BANKCODE: HDFC
                    IFSC: HDFC0001234
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      deprecated: false
      security: []

````